submissions_data_retrieve
const url = 'https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'Retrieve a given submission_data object.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Header Parameters
Section titled “Header Parameters”Workspace ID
Responses
Section titled “Responses”Serializer for the submission data.
object
Serializer for the data field in SubmissionData requests.
object
Return the size of the object in octets.
Parameters
obj : Data The object for which to determine the size.
Returns
dict A dictionary containing the size of the object and the unit “octets”.
object
Retrieve external access values for the given object.
Parameters
obj : Data The object used to retrieve external access values based on its external_id attribute.
Returns
list[dict] A list of dictionaries containing the external access type and access values for the object’s external_id.
object
Retrieve data access right value for the current user.
Parameters
obj : Data The object used to retrieve access right value.
Returns
dict A list of dictionaries containing the access right and last updated type and last verification time.
object
Retrieve datalink to access the current data.
Parameters
obj : Data The object used to retrieve datalink for.
Returns
list[dict] A list of dictionaries containing the datalinks.
object
Why the enrichment failed, as {code, message}
Celery task ID of the last async enrichment
Get the datalink UUID and node UUID and name.
object
Retrieve information about associations linked to a given submission data object.
Parameters
obj : SubmissionMetadataObject
The metadata object (or submission data object) for which to retrieve association information.
Expected to have an associations GenericRelation to SubmissionAssociationObject.
Returns
dict A dictionary containing:
- “count” (int): The number of SubmissionAssociations this object participates in.
- “related” (str): The URL to retrieve the detailed list of associated SubmissionAssociations,
filtered by the
submission_dataquery parameter.
object
Return external identifiers linked to this submission data row.
Parameters
obj : SubmissionData The submission data instance.
Returns
list[dict] Serialized external identifiers (from the repository after upload, etc.).
object
Return the interactor information of the object’s creator.
Parameters
obj : object The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : object The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example
{ "data": { "status": "active" }}object
object
Example
{ "code": "uri_validation_error", "message": "Invalid URI parameters. Check the `details` property for more details.", "details": [ { "parameter": "<parameter_name>", "code": "invalid", "message": "\"<parameter_value>\" is not a valid UUID." } ]}object
object
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "submission", "code": "not_allowed", "message": "You are not a member of this submission." } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
